OCC Main Page | ApplicationFramework | Toolkits | Packages | Class Hierarchy | Data Structures | File List | Data Fields | Globals

# ApplicationFramework
TKLCAF
TNaming

# TNaming_MapIteratorOfMapOfNamedShape Class Reference

`#include <TNaming_MapIteratorOfMapOfNamedShape.hxx>`

## Public Member Functions
void * | operator new (size_t, void *anAddress)
void * | operator new (size_t size)
void | operator delete (void *anAddress)
Standard_EXPORT | TNaming_MapIteratorOfMapOfNamedShape ()
Standard_EXPORT | TNaming_MapIteratorOfMapOfNamedShape (const TNaming_MapOfNamedShape &aMap)
Standard_EXPORT void | Initialize (const TNaming_MapOfNamedShape &aMap)
Standard_EXPORT const Handle_TNaming_NamedShape & | Key () const

## Constructor & Destructor Documentation

Standard_EXPORT TNaming_MapIteratorOfMapOfNamedShape::TNaming_MapIteratorOfMapOfNamedShape | ( |  | ) |

Standard_EXPORT TNaming_MapIteratorOfMapOfNamedShape::TNaming_MapIteratorOfMapOfNamedShape | ( | const TNaming_MapOfNamedShape & | aMap | ) |

## Member Function Documentation

Standard_EXPORT void TNaming_MapIteratorOfMapOfNamedShape::Initialize | ( | const TNaming_MapOfNamedShape & | aMap | ) |

Standard_EXPORT const Handle_TNaming_NamedShape& TNaming_MapIteratorOfMapOfNamedShape::Key | ( |  | ) | const

void TNaming_MapIteratorOfMapOfNamedShape::operator delete | ( | void * | anAddress | ) | `[inline]`

void* TNaming_MapIteratorOfMapOfNamedShape::operator new | ( | size_t | size | ) | `[inline]`

void* TNaming_MapIteratorOfMapOfNamedShape::operator new | ( | size_t | ,
|  | void * | anAddress
| ) | `[inline]`

The documentation for this class was generated from the following file:

- TNaming_MapIteratorOfMapOfNamedShape.hxx